set_property IOSTANDARD TMDS_33 [get_ports TMDS_clk_p]
set_property PACKAGE_PIN Y16 [get_ports TMDS_clk_p]
set_property PACKAGE_PIN Y17 [get_ports TMDS_clk_n]
set_property PACKAGE_PIN Y14 [get_ports {TMDS_data_n[2]}]
set_property PACKAGE_PIN W14 [get_ports {TMDS_data_p[2]}]
set_property PACKAGE_PIN T16 [get_ports {TMDS_data_p[1]}]
set_property PACKAGE_PIN U17 [get_ports {TMDS_data_n[1]}]
set_property PACKAGE_PIN V15 [get_ports {TMDS_data_p[0]}]
set_property PACKAGE_PIN W15 [get_ports {TMDS_data_n[0]}]

##LEDs
set_property PACKAGE_PIN U14 [get_ports {led0}]
set_property IOSTANDARD LVCMOS33 [get_ports {led0}]
set_property PACKAGE_PIN U15 [get_ports {led1}]
set_property IOSTANDARD LVCMOS33 [get_ports {led1}]
set_property PACKAGE_PIN U18 [get_ports {led2}]
set_property IOSTANDARD LVCMOS33 [get_ports {led2}]
set_property PACKAGE_PIN U19 [get_ports {led3}]
set_property IOSTANDARD LVCMOS33 [get_ports {led3}]
set_property PACKAGE_PIN R19 [get_ports {led4}]
set_property IOSTANDARD LVCMOS33 [get_ports {led4}]
set_property PACKAGE_PIN V13 [get_ports {led5}]
set_property IOSTANDARD LVCMOS33 [get_ports {led5}]
set_property PACKAGE_PIN P14 [get_ports {led6}]
set_property IOSTANDARD LVCMOS33 [get_ports {led6}]
set_property PACKAGE_PIN R14 [get_ports {led7}]
set_property IOSTANDARD LVCMOS33 [get_ports {led7}]

##STEPPER
set_property PACKAGE_PIN Y18 [get_ports {step_pulse[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_pulse[1]}]
set_property PACKAGE_PIN N17 [get_ports {step_pulse[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_pulse[2]}]
set_property PACKAGE_PIN E17 [get_ports {step_pulse[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_pulse[3]}]
set_property PACKAGE_PIN E18 [get_ports {step_pulse[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_pulse[4]}]
set_property PACKAGE_PIN L19 [get_ports {step_pulse[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_pulse[5]}]
set_property PACKAGE_PIN M17 [get_ports {step_pulse[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_pulse[6]}]

set_property PACKAGE_PIN Y19 [get_ports {step_dir[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_dir[1]}]
set_property PACKAGE_PIN P18 [get_ports {step_dir[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_dir[2]}]
set_property PACKAGE_PIN D18 [get_ports {step_dir[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_dir[3]}]
set_property PACKAGE_PIN E19 [get_ports {step_dir[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_dir[4]}]
set_property PACKAGE_PIN L20 [get_ports {step_dir[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_dir[5]}]
set_property PACKAGE_PIN M18 [get_ports {step_dir[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_dir[6]}]

set_property PACKAGE_PIN V16 [get_ports {step_en[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_en[1]}]
set_property PACKAGE_PIN P15 [get_ports {step_en[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_en[2]}]
set_property PACKAGE_PIN D19 [get_ports {step_en[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_en[3]}]
set_property PACKAGE_PIN F16 [get_ports {step_en[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_en[4]}]
set_property PACKAGE_PIN M19 [get_ports {step_en[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_en[5]}]
set_property PACKAGE_PIN K19 [get_ports {step_en[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {step_en[6]}]